Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.flow
Class Station

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.dsol.formalisms.flow.Station

All Implemented Interfaces:
  nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable, StationInterface

Direct Known Subclasses:
  Delay, Departure, Duplicate, Generator, Release, Seize

public abstract class Station
extends nl.tudelft.simulation.event.EventProducer
implements StationInterface

A station is an object which can accept other objects. *

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.0
Version:
  1.2 2004-03-26
Author:
  Peter Jacobs
See Also:
  Serialized Form

Field Summary
`protected StationInterface` | `destination` destination refers to the next station in the process-model chain
`protected DEVSSimulatorInterface` | `simulator` simulator is the simulator on which behavior is scheduled

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface
`RECEIVE_EVENT, RELEASE_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`Station(DEVSSimulatorInterface simulator)` constructs a new Station.

Method Summary
`StationInterface` | `getDestination()` Returns the destination.
`void` | `receiveObject(java.lang.Object object)` receives an object is invoked whenever an entity arrives
`protected void` | `releaseObject(java.lang.Object object)` releases an object
`void` | `setDestination(StationInterface destination)` sets the destination of this object

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Field Detail

### simulator

    protected DEVSSimulatorInterface simulator

  simulator is the simulator on which behavior is scheduled

### destination

    protected StationInterface destination

  destination refers to the next station in the process-model chain

Constructor Detail

### Station

    public Station(DEVSSimulatorInterface simulator)

  constructs a new Station.

Parameters:
  `simulator` - is the simulator on which behavior is scheduled

Method Detail

### receiveObject

    public void receiveObject(java.lang.Object object)
                       throws java.rmi.RemoteException

  Description copied from interface: `StationInterface`
  receives an object is invoked whenever an entity arrives

  Specified by:
    `receiveObject` in interface `StationInterface`
  Parameters:
    `object` - is the entity
  Throws:
    `java.rmi.RemoteException` - on network failure
  See Also:
    `StationInterface.receiveObject(Object)`

### setDestination

    public void setDestination(StationInterface destination)

  Description copied from interface: `StationInterface`
  sets the destination of this object

  Specified by:
    `setDestination` in interface `StationInterface`
  Parameters:
    `destination` - defines the next station in the model
  See Also:
    `StationInterface.setDestination(StationInterface)`

### releaseObject

    protected void releaseObject(java.lang.Object object)
                          throws java.rmi.RemoteException

  releases an object

  Parameters:
    `object` - is the entity
  Throws:
    `java.rmi.RemoteException` - on network failure

### getDestination

    public StationInterface getDestination()

  Returns the destination.

  Specified by:
    `getDestination` in interface `StationInterface`
  Returns:
    the destination station

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.